Package org.spongepowered.asm.mixin.injection.selectors.dynamic

## Interface IResolvedDescriptor

    public interface IResolvedDescriptor

A resolved descriptor, or rather the result of resolving a descriptor. If the descriptor was not resolved then `isResolved()` returns `false`.

### Method Summary

All Methods Instance Methods Abstract Methods
`IAnnotationHandle` `getAnnotation()` Get the resolved descriptor, or null if the descriptor was not resolved
`org.objectweb.asm.Type[]` `getArgs()` Get the arguments from the resolved descriptor, returns an empty array if the descriptor was not resolved.
`java.lang.String` `getId()` Get the ID of the resolved descriptor, should match the query
`Quantifier` `getMatches()` Get the specified matches values from the resolved descriptor.
`java.lang.String` `getName()` Get the name from the resolved descriptor, returns an empty string if the descriptor was not resolved.
`java.util.List<IAnnotationHandle>` `getNext()` Get the values specified for next, if any
`org.objectweb.asm.Type` `getOwner()` Get the owner from the resolved descriptor, returns `void` if the descriptor was not resolved.
`java.lang.String` `getResolutionInfo()` Get information about the resolution process (eg.
`org.objectweb.asm.Type` `getReturnType()` Get the return type from the resolved descriptor, returns `void` if the descriptor was not resolved.
`boolean` `isDebug()` Get whether the descriptor is for debugging and shouldn't be used as a live descriptor
`boolean` `isResolved()` Get whether the descriptor was successfully resolved

### Method Detail

#### isResolved

    boolean isResolved()

Get whether the descriptor was successfully resolved

#### isDebug

    boolean isDebug()

Get whether the descriptor is for debugging and shouldn't be used as a live descriptor

#### getAnnotation

    IAnnotationHandle getAnnotation()

Get the resolved descriptor, or null if the descriptor was not resolved

#### getResolutionInfo

    java.lang.String getResolutionInfo()

Get information about the resolution process (eg. visited implicit coordinates) as a human-readable string for inclusion in error messages.

#### getId

    java.lang.String getId()

Get the ID of the resolved descriptor, should match the query

#### getOwner

    org.objectweb.asm.Type getOwner()

Get the owner from the resolved descriptor, returns `void` if the descriptor was not resolved.

#### getName

    java.lang.String getName()

Get the name from the resolved descriptor, returns an empty string if the descriptor was not resolved.

#### getArgs

    org.objectweb.asm.Type[] getArgs()

Get the arguments from the resolved descriptor, returns an empty array if the descriptor was not resolved.

#### getReturnType

    org.objectweb.asm.Type getReturnType()

Get the return type from the resolved descriptor, returns `void` if the descriptor was not resolved.

#### getMatches

    Quantifier getMatches()

Get the specified matches values from the resolved descriptor.

#### getNext

    java.util.List<IAnnotationHandle> getNext()

Get the values specified for next, if any